---
id: workflow-plugin-read
title: Read a plugin
description: 'Returns one plugin descriptor, including its full config schema and examples.'
sidebar_label: Read a plugin
hide_title: true
hide_table_of_contents: true
api: >-
  eJztV99v2zYQ/lcOfGmKKXY2dOigt6xrhw5rF6QJUiAwZlo8SWwoUiVPdgzD//twpPzbcTpgD3uoXyyJx+N3x+8+8haCZBVEfi/unH8ojZtBa7pK2yBGmVAYCq9b0s6KXFwjdd4GcBZ7I1gZOJ+BtoXplLYVaApQdsZA4WypKwhFjY0EaRXgo2xag2EgMuFa9JJ9v1ciF7N+/fPkOvcolchEK71skNAzyIXQDKSVVItMWNmgyNNfJjx+7bRHJXLyHWYiLSryhaB5y3aBvLaVWO6HdVOvw2FXjKxHKXJRE7Xn7BoDieUoEwGLzmuaRzQTlB79ZUe1yO9HPOwxtM4GDLzwTxcX/Pfkcpvs8aKFs4SWeIZsW6OLmJvhl8DTFofxuMkXLIhT5DmTpNOiyXe00xRjuIpfflsvJrIDF5vk3a/yOUUfGHHWe7zhKbu5i5hLXX1K0Eb7UNIG7W/A0+ndLHpy0o+Di8EFW28BOzbBdg3HQ15XFXLUjVOdSUEUWqEXo30yHCFLIQkr5+enMWlLWCU2B56Vqmo9Q3ov5yITmrAJR5ZZ7qXyyC7vsuiPT399hGQMpfNANUIgbF8EGCdPY5gYVzwMGI22bUdPuV5mwnV02gAfsegIPzh1MtUoCy5MacyhetzVSDUmpD3/fRfVpEBo0UMECZwhOBuzp3EWjRWWsjP0EpxPxjNNdRyZ1c4gTCQVNZyNpTHjl4O0Za2caKNXPPzGTdjaz3tmsuoKDOfJOhNaYdO6WKGjjem3+F+lkcnmiq5BS/I43fZz9kH6B+VmFnbmcSIk3F7/OYg+pVKaP0tztVV9LILL+MvEq8+fD3XojdFoCdB75wfAqjRxag5BzgPMakkw4+GZd7bKQdpkCGMGPM5AQt010p6zSsuJQRgrJKkND1mVgbMwlUarBLiU2nQeQxbPDrTk53HLXVmijUdGqdGoEyrYejcx2PxwRA1XKpcsjojbof4GklZJr/qgYuBn1+/ewOtfLl5DvxakiEIGAf0UFcgA46cwMfP25Y+eEKZdPG8jBLaB2+v3GeCgGsCYhTHkw+H6VAzzQNgMFE6HEXTYDFlH56XrrBofnl3/2kcUr5TSU3r30RGs7QNJ6rYZH9UwSu56xquLV1FsOaXPuYYVrFTqWsGs/FuXd79O7sq2qy4s4KMOFJK08WYWz8BdBxqGCkttY8GE4Z7bKAExMUeqenfXrjwGro/jPM+f5/kTInFwmvNV53RoLPthGApph0n5OYwGQ5DVM1lpukBQyynC6vyHfvU5vCicwhdiufpl4udjKnJr8bHFglClKvG9oHyv5O+V/L2S/5eVHH1S7bjpqjACjdC2U9v3gMMFX+GXgtseLu7Ug3XebHFStnpgO2NaI6l0vhkUrtnplOK1MuVgu19ah8OORN+v8XsyEln/8M75RhJfee9u4n1H29Lx9HWv0DcEa7aLj1tw4PLqfewVXKBG2k1bIq5RKpD9XXSfFouNfP3nfW8fN+EjDVsjdWRrTOqKJffrbjis+y9+yiP0USZqF4jNFouJDHjrzXLJn792yI3K/SgTU+k1X8zijikd+FmJvJQm4IlYz657/ryEI33xUeSr6rJcW1NpOn4TmXjA+ao7X/KNuUbJPRfjSUOXRYEtbU06aHuZRmuu/v72hnuLXfLskSV6PwposUgWN+4B7XK5xkf8zgCXy38AJBT0/Q==
sidebar_class_name: get api-method
info_path: docs/api/nullplatform-api
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/workflow-plugin-read'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Read a plugin"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/workflows/plugins/{name}"}
  context={"endpoint"}
>

</MethodEndpoint>

Returns one plugin descriptor, including its full config schema and examples.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"name","required":true,"schema":{"type":"string"},"description":"The plugin name.","example":"http-request"}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The plugin descriptor.","content":{"application/json":{"schema":{"type":"object","properties":{"plugin":{"title":"PluginDescriptor","type":"object","required":["name","version","pluginType","description","configSchema"],"properties":{"name":{"type":"string","example":"http-request"},"version":{"type":"string","example":"1.0.0"},"pluginType":{"type":"string","enum":["trigger","module","decider"]},"description":{"type":"string"},"category":{"type":"string","example":"integrations"},"tags":{"type":"array","items":{"type":"string"}},"configSchema":{"type":"object","description":"JSON Schema for the step's `config` block."},"inputSchema":{"type":"object"},"outputSchema":{"type":"object"},"executeMode":{"type":"string","enum":["each","all"],"description":"Whether the plugin runs once per input item (`each`, the default) or once with the whole batch (`all`)."},"capabilities":{"type":"array","items":{"type":"string"},"example":["produces-items","idempotent"]},"examples":{"type":"array","items":{"type":"object"}},"documentation":{"type":"string","description":"Markdown documentation or a URL."}},"additionalProperties":true}}}}}},"4XX":{"description":"Client error. The body says what went wrong: an error `type`, a human-readable `detail`, and, on validation failures, one entry per offending field.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}},"5XX":{"description":"Unexpected server error.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}}}}
>

</StatusCodes>

